> For the complete documentation index, see [llms.txt](https://docs.constellationnetwork.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.constellationnetwork.io/network-apis/api-reference/hypergraph-apis.md).

# Hypergraph APIs

The Hypergraph APIs are the public HTTP APIs hosted on Global L0 and the DAG L1 network nodes. Below you'll find an OpenAPI spec for each of the public network environments. In general, TestNet has the bleeding edge features, IntegrationNet has stable new features, and MainNet has fully released features.

{% hint style="info" %}
See [Architecture](/network-apis/concepts/architecture.md) for an overview of how these networks fit into the Constellation Network overall.
{% endhint %}

### DAG L1 API[​](https://docs.constellationnetwork.io/hypergraph/global-apis#dag-l1-api) <a href="#dag-l1-api" id="dag-l1-api"></a>

The DAG L1 API is used primarily for sending DAG transactions which are then processed through the Global L0 and are eventually visible on the Block Explorer API after reaching finality.

You can use one of the load balancer endpoints below or connect directly to a network node by IP address and port. You can use the load balancer /cluster/info endpoint to find an active network node to connect to. Connect to the node using http and the configured port, ex: [http://18.232.193.183:9010](http://18.232.193.183:9010/)

**API Spec**[**​**](https://docs.constellationnetwork.io/hypergraph/global-apis#api-spec)

* [TestNet](http://apidoc-testnet.constellationnetwork.io.s3-website.us-west-1.amazonaws.com/dag/l1/public/)
* [IntegrationNet](http://apidoc-integrationnet.constellationnetwork.io.s3-website-us-west-1.amazonaws.com/dag/l1/public/)
* [MainNet](http://apidoc.constellationnetwork.io.s3-website.us-west-1.amazonaws.com/dag/l1/public/)

**Base urls​:**[**​**](https://docs.constellationnetwork.io/hypergraph/global-apis#base-urls)

* TestNet: [https://l1-lb-testnet.constellationnetwork.io](https://l1-lb-testnet.constellationnetwork.io/)
* IntegrationNet: [https://l1-lb-integrationnet.constellationnetwork.io](https://l1-lb-integrationnet.constellationnetwork.io/)
* MainNet: [https://l1-lb-mainnet.constellationnetwork.io](https://l1-lb-mainnet.constellationnetwork.io/)

### Global L0 API[​](https://docs.constellationnetwork.io/hypergraph/global-apis#global-l0-api) <a href="#global-l0-api" id="global-l0-api"></a>

The Global L0 API can be used to fetch global snapshot information, view DAG supply and address balances, and submit metagraph snapshots.

You can use one of the load balancer endpoints below or connect directly to a network node by IP address and port. You can use the load balancer /cluster/info endpoint to find a network node. Connect using http and the configured port, ex: [http://18.232.193.183:9000](http://18.232.193.183:9000/).

**API Spec**[**​**](https://docs.constellationnetwork.io/hypergraph/global-apis#api-spec-1)

* [TestNet](http://apidoc-testnet.constellationnetwork.io.s3-website.us-west-1.amazonaws.com/dag/l0/public/)
* [IntegrationNet](http://apidoc-integrationnet.constellationnetwork.io.s3-website-us-west-1.amazonaws.com/dag/l0/public/)
* [MainNet](http://apidoc.constellationnetwork.io.s3-website.us-west-1.amazonaws.com/dag/l0/public/)

**Base urls​:**[**​**](https://docs.constellationnetwork.io/hypergraph/global-apis#base-urls-1)

* TestNet: [https://l0-lb-testnet.constellationnetwork.io](https://l0-lb-testnet.constellationnetwork.io/)
* IntegrationNet: [https://l0-lb-integrationnet.constellationnetwork.io](https://l0-lb-integrationnet.constellationnetwork.io/)
* MainNet: [https://l0-lb-mainnet.constellationnetwork.io](https://l0-lb-mainnet.constellationnetwork.io/)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.constellationnetwork.io/network-apis/api-reference/hypergraph-apis.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
